glab(1)

NAME
glab-variable-list - List variables for a project or group.

SYNOPSIS
glab variable list [flags]

DESCRIPTION
Defaults to the current project. Use --group to list variables for a group, or --instance to list instance variables.

OPTIONS
-g, --group=""
    Select a group or subgroup. Ignored if a repository argument is set.

-i, --instance[=false]
    Display instance variables.

--jq=""
    Filter JSON output with a jq expression.

-F, --output="text"
    Format output as: text, json.

-p, --page=1
    Page number.

-P, --per-page=20
    Number of items to list per page.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    glab variable list
    glab variable list -i
    glab variable list --per-page 100 --page 1
    glab variable list --group gitlab-org
    glab variable list --group gitlab-org --per-page 100

SEE ALSO
glab-variable(1)